## gretl 2024b

=== debian/changelog ===
gretl (2024b-2) unstable; urgency=medium

  * debian/control: Move (Build-)Depends to libgtksourceview-4-dev
  							(Closes: #1079413)

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 23 Aug 2024 11:27:09 -0500

gretl (2024b-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 22 May 2024 07:07:23 -0500

=== debian/control ===
Source: gretl
Section: math
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Standards-Version: 4.6.2
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), libgtk-3-dev, libglib2.0-dev, libreadline-dev, zlib1g-dev, libxml2-dev, gnuplot-x11, libgmp-dev, libfreetype-dev, libpng-dev, libblas-dev, liblapack-dev, libxslt1-dev, libmpfr-dev, libfftw3-dev, texlive-base, texlive-latex-base, texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended, texlive-fonts-extra, gfortran, r-base-dev, unixodbc-dev, libgtksourceview-4-dev, libcurl4-gnutls-dev | libcurl4-dev, libjson-glib-dev, mpi-default-dev, mpi-default-bin
Vcs-Browser: https://salsa.debian.org/edd/gretl
Vcs-Git: https://salsa.debian.org/edd/gretl.git
Homepage: http://gretl.sourceforge.net/

Package: gretl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gretl-common (>= ${source:Version}), gnuplot (>= 4.2)
Recommends: gretl-data, gretl-doc
Suggests: x13as
Description: GNU Regression, Econometric & Time-Series Library
 The GNU Regression, Econometric and Time-Series Library (gretl) is a
 software package for econometric analysis.  The package comprises a
 shared library, a command-line client program, and a graphical client
 built using GTK+.
 .
 This package provides the GTK+ client and the command-line client.

Package: libgretl1t64
Provides: ${t64:Provides}
Breaks: libgretl1 (<< ${source:Version})
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends} 
Conflicts: libesl0, libgretl0
Replaces: libgretl1, libesl0, libgretl0
Description: GNU Regression, Econometric & Time-Series Library -- library package 
 The GNU Regression, Econometric and Time-Series Library (gretl) is a
 software package for econometric analysis.  The package comprises a
 shared library, a command-line client program, and a graphical client
 built using GTK+.
 .
 This package provides the shared library.

Package: libgretl1-dev
Section: libdevel
Architecture: any
Depends: gretl, libgretl1t64 (= ${binary:Version}), ${misc:Depends}
Conflicts: libesl0-dev, libgretl0-dev
Replaces: libesl0-dev, libgretl0-dev
Description: GNU Regression, Econometric & Time-Series Library -- development package
 The GNU Regression, Econometric and Time-Series Library (gretl) is a
 software package for econometric analysis.  The package comprises a
 shared library, a command-line client program, and a graphical client
 built using GTK+.
 .
 This package provides the static library and header files.

Package: gretl-common
Section: math
Architecture: all
Suggests: gretl (>= ${source:Version})
Conflicts: gretl (<= 1.2.2-1)
Replaces: gretl (<= 1.2.2-1)
Depends: fonts-freefont-ttf, fonts-dejavu, ${misc:Depends}
Description: GNU Regression, Econometric & Time-Series Library -- scripts package
 The GNU Regression, Econometric and Time-Series Library (gretl) is a
 software package for econometric analysis.  The package comprises a
 shared library, a command-line client program, and a graphical client
 built using GTK+.
 .
 This package provides scripts (included in the gretl sources) which are 
 used by the main gretl program.

Package: gretl-data
Section: math
Architecture: all
Depends: gretl (>= ${source:Version}), ${misc:Depends}
Conflicts: gretl (<= 1.2.2-1)
Replaces: gretl (<= 1.2.2-1)
Description: GNU Regression, Econometric & Time-Series Library -- data package
 The GNU Regression, Econometric and Time-Series Library (gretl) is a
 software package for econometric analysis. The package comprises a
 shared library, a command-line client program, and a graphical client
 built using GTK+.
 .
 This package provides data sets (included in the gretl sources) which are 
 used by the main gretl program.

Package: gretl-doc
Section: doc
Architecture: all
Recommends: gretl 
Depends: ${misc:Depends}
Conflicts: gretl (<= 1.2.2-1)
Replaces: gretl (<= 1.2.2-1)
Description: GNU Regression, Econometric & Time-Series Library -- doc package
 The GNU Regression, Econometric and Time-Series Library (gretl) is a
 software package for econometric analysis.  The package comprises a
 shared library, a command-line client program, and a graphical client
 built using GTK+.
 .
 This package provides documentation and examples included in the gretl 
 sources.

## gretl 2024c

=== debian/changelog ===
gretl (2024c-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Revert the t64 changes, so also dropping the BD on newer dpkg-dev.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 19 Nov 2024 11:56:42 -0800

gretl (2024c-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 21 Oct 2024 21:32:48 -0500

=== debian/control ===
Source: gretl
Section: math
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Dirk Eddelbuettel <edd@debian.org>
Standards-Version: 4.6.2
Build-Depends: debhelper-compat (= 13),
#               dpkg-dev (>= 1.22.5),
               gfortran,
               gnuplot-x11,
               libblas-dev,
               libcurl4-gnutls-dev | libcurl4-dev,
               libfftw3-dev,
               libfreetype-dev,
               libglib2.0-dev,
               libgmp-dev,
               libgtk-3-dev,
               libgtksourceview-4-dev,
               libjson-glib-dev,
               liblapack-dev,
               libmpfr-dev,
               libpng-dev,
               libreadline-dev,
               libxml2-dev,
               libxslt1-dev,
               mpi-default-bin,
               mpi-default-dev,
               r-base-dev,
               texlive-base,
               texlive-fonts-extra,
               texlive-fonts-recommended,
               texlive-latex-base,
               texlive-latex-extra,
               texlive-latex-recommended,
               unixodbc-dev,
               zlib1g-dev
Vcs-Browser: https://salsa.debian.org/edd/gretl
Vcs-Git: https://salsa.debian.org/edd/gretl.git
Homepage: http://gretl.sourceforge.net/

Package: gretl
Architecture: any
Depends: gnuplot (>= 4.2),
         gretl-common (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gretl-data, gretl-doc
Suggests: x13as
Description: GNU Regression, Econometric & Time-Series Library
 The GNU Regression, Econometric and Time-Series Library (gretl) is a
 software package for econometric analysis.  The package comprises a
 shared library, a command-line client program, and a graphical client
 built using GTK+.
 .
 This package provides the GTK+ client and the command-line client.

Package: libgretl1
# Provides: ${t64:Provides}
# Breaks: libgretl1 (<< ${source:Version})
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libesl0, libgretl0
Replaces: libesl0, libgretl0
Description: GNU Regression, Econometric & Time-Series Library -- library package
 The GNU Regression, Econometric and Time-Series Library (gretl) is a
 software package for econometric analysis.  The package comprises a
 shared library, a command-line client program, and a graphical client
 built using GTK+.
 .
 This package provides the shared library.

Package: libgretl1-dev
Section: libdevel
Architecture: any
Depends: gretl, libgretl1 (= ${binary:Version}), ${misc:Depends}
Conflicts: libesl0-dev, libgretl0-dev
Replaces: libesl0-dev, libgretl0-dev
Description: GNU Regression, Econometric & Time-Series Library -- development package
 The GNU Regression, Econometric and Time-Series Library (gretl) is a
 software package for econometric analysis.  The package comprises a
 shared library, a command-line client program, and a graphical client
 built using GTK+.
 .
 This package provides the static library and header files.

Package: gretl-common
Section: math
Architecture: all
Suggests: gretl (>= ${source:Version})
Conflicts: gretl (<= 1.2.2-1)
Replaces: gretl (<= 1.2.2-1)
Depends: fonts-dejavu, fonts-freefont-ttf, ${misc:Depends}
Description: GNU Regression, Econometric & Time-Series Library -- scripts package
 The GNU Regression, Econometric and Time-Series Library (gretl) is a
 software package for econometric analysis.  The package comprises a
 shared library, a command-line client program, and a graphical client
 built using GTK+.
 .
 This package provides scripts (included in the gretl sources) which are
 used by the main gretl program.

Package: gretl-data
Section: math
Architecture: all
Depends: gretl (>= ${source:Version}), ${misc:Depends}
Conflicts: gretl (<= 1.2.2-1)
Replaces: gretl (<= 1.2.2-1)
Description: GNU Regression, Econometric & Time-Series Library -- data package
 The GNU Regression, Econometric and Time-Series Library (gretl) is a
 software package for econometric analysis. The package comprises a
 shared library, a command-line client program, and a graphical client
 built using GTK+.
 .
 This package provides data sets (included in the gretl sources) which are
 used by the main gretl program.

Package: gretl-doc
Section: doc
Architecture: all
Recommends: gretl
Depends: ${misc:Depends}
Conflicts: gretl (<= 1.2.2-1)
Replaces: gretl (<= 1.2.2-1)
Description: GNU Regression, Econometric & Time-Series Library -- doc package
 The GNU Regression, Econometric and Time-Series Library (gretl) is a
 software package for econometric analysis.  The package comprises a
 shared library, a command-line client program, and a graphical client
 built using GTK+.
 .
 This package provides documentation and examples included in the gretl
 sources.

=== debian/rules ===
#!/usr/bin/make -f 					
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux gretl package
# Copyright 2000 - 2023 by Dirk Eddelbuettel <edd@debian.org>

package := $(shell head -1 debian/changelog | awk '{print $$1}')
sonum   := 1
libpack := libgretl$(sonum)
devpack := libgretl$(sonum)-dev
docpack := $(package)-doc
datpack := $(package)-data
compack := $(package)-common
srcver  := $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f2 -d' ' | cut -f1 -d'-')
debtmp	:= $(CURDIR)/debian/$(package)

arch 	:= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

cppflags  = $(shell dpkg-buildflags --get CPPFLAGS)
cflags    = $(shell dpkg-buildflags --get CFLAGS)
ldflags   = $(shell dpkg-buildflags --get LDFLAGS)

## edd 09 Feb 2003      no optimisation or debugging on m68k
ifneq "$(findstring $(arch), m68k-linux arm-linux)" ""
cflags	= -O0 -g0 -Wall
endif

# Request that TeX seed the \today (etc.) from SOURCE_DATE_EPOCH
export FORCE_SOURCE_DATE = 1

#export DH_VERBOSE=1

upstream: get-orig-source
get-orig-source:
        # lynx http://gretl.sourceforge.net
        # lynx http://unc.dl.sourceforge.net/sourceforge/gretl
	links http://prdownloads.sourceforge.net/gretl
        # links http://twtelecom.dl.sourceforge.net/sourceforge/gretl

configure: configure-stamp
configure-stamp:
	dh_testdir
	dh_update_autotools_config
	DISPLAY="foo" 					\
	./configure	--prefix=/usr			\
			--with-x-12-arima		\
			--with-tramo-seats		\
			--with-libR			\
			--with-odbc			\
			--with-mpi           		\
			--enable-static			\
			--enable-shared			\
			--enable-build-editor		\
			--enable-build-addons		\
			--disable-rpath			\
			--disable-sse2			\
			--disable-avx			\
			--disable-xdg-utils		\
			--build $(arch)
	touch configure-stamp

## edd 02 May 2010  these are now implicit and/or obsolete
#   --with-lapack			
#   --with-gtk2			
#   --without-libole2		
#  --without-gtkextra		
#
# edd 12 Mar 2011   cannot buikd wuth this
#			--disable-sse2
# edd 11 Jun 2017
#			--with-mpfr 			

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp
	dh_testdir
	$(MAKE) CC=gcc \
		CFLAGS="$(cflags) -D_REENTRANT" \
		CPPFLAGS="$(cppflags)" \
		LDFLAGS="$(ldflags)"
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	[ ! -f Makefile ] || $(MAKE) distclean
	-(cd gui && make clean)
	-find . -name \*.o -type f | xargs rm -vf 
	dh_update_autotools_config
	dh_clean build-stamp install-stamp configure-stamp check-stamp

check: build check-stamp
check-stamp:
	-$(MAKE) check
	touch check-stamp

install: build check install-stamp 
install-stamp: 
	$(MAKE) -f debian/rules DH_OPTIONS= install-work
install-work:
	dh_testdir
	dh_testroot
        #dh_clean -k
	dh_prep
	dh_installdirs	
	dh_installdirs -p$(package) 	usr/share/gnome/apps/Applications \
					usr/share/applications \
					usr/share/mime-info \
					usr/share/pixmaps 
	-$(MAKE) prefix=$(debtmp)/usr 			\
		gnome_prefix=$(debtmp)/usr 		\
		mandir=$(debtmp)/usr/share/man		install
#	(cd gnome && $(MAKE) prefix=$(debtmp)/usr 	\
#		gnome_prefix=$(debtmp)/usr 		\
#		mandir=$(debtmp)/usr/share/man		install-misc )

        #	infodir=$(debtmp)/usr/share/info	\
        # dh_undocumented		gretl.1 gretlcli.1 gretl_x11.1

        # clean extra COPYING file
	(cd $(debtmp)/usr/share/$(package); \
		ln -svf ../common-licenses/GPL COPYING)

        ## this seems to have been forgotten at install time (version 1.1.0)
        ## gretl 1.8.7 no longer has it
        #chmod 755 gretl-config
        #cp -vax gretl-config debian/gretl/usr/bin

        ## Bug#400405 to get pixmap into desktop menu (also dh_movefiles)
	cp -vax pixmaps/gretl.xpm debian/gretl/usr/share/pixmaps

        # move static libs into dev-package  and binaries into bin package
	dh_movefiles 	--sourcedir=debian/$(package) -p$(devpack)
	dh_movefiles 	--sourcedir=debian/$(package) -p$(libpack)
        # move docs
        ## dh_movefiles 	--sourcedir=debian/$(package) -p$(docpack)

        # move common and data package files
	dh_movefiles 		--sourcedir=debian/$(package) -p$(datpack)
	dh_movefiles 		--sourcedir=debian/$(package) -p$(compack)
	dh_installdocs 		-p$(compack)	
	dh_installdocs		-p$(docpack) 	README* doc/
	dh_installexamples      -p$(docpack)	utils/
        #dh_movefiles 		--sourcedir=debian/$(package) -p$(docpack)

        # edd 19 Mar 2009  remove fonts deemed non-free
	rm -vrf debian/$(compack)/usr/share/gretl/fonts

        # edd 24 Jul 2023  remove empty pkgconfig dir (#1041835)
	find debian/$(package)/usr/lib/pkgconfig -type d -empty -delete

        # edd 26 Dec 2007  some lintian silencers
#	for p in $(package) $(libpack) $(compack); do \
#		dh_installdirs -p$$p usr/share/lintian/overrides; \
#		install -v -c -m 0644 debian/$$p.overrides \
#		   $(CURDIR)/debian/$$p/usr/share/lintian/overrides/$$p; \
#		done
	dh_lintian

        # edd 23 Apr 2011
        # empty dependency_lib in .la files (cf #621213)	
	find debian/$(package) -name \*.la | \
		xargs perl -p -i -e "s/dependency_libs='.*'/dependency_libs=''/" 
	find debian/$(libpack) -name \*.la | \
		xargs perl -p -i -e "s/dependency_libs='.*'/dependency_libs=''/" 

	touch install-stamp

# This single target is used to build all the packages, all at once, or
# one at a time. So keep in mind: any options passed to commands here will
# affect _all_ packages. Anything you want to only affect one package
# should be put in another target, such as the install target.
binary-common: build check install 
	dh_testdir
	dh_testroot
        #dh_installdebconf
	dh_link			
	dh_installdocs -a
	(cd $(debtmp)/usr/share/$(package); 		\
		rmdir doc;                              \
		ln -s ../doc/$(package)/doc . ;         \
		ln -s ../doc/$(package)/examples . 	 )
        #dh_installexamples
        #dh_installmenu
        #dh_installemacsen
        #dh_installpam
        #dh_installinit
        #dh_installcron
        #dh_installman		gretl.1
        #dh_installinfo
        #dh_undocumented
	dh_installchangelogs			ChangeLog
	dh_compress
	dh_fixperms
	dh_strip --no-automatic-dbgsym
        #dh_suidregister
        #echo "libgretl-1.0 0 libgretl1 (>= ${srcver})" \
        #	> debian/$(libpack).shlibs
#	dh_makeshlibs 	-V -p$(package) -p$(devpack) -p$(libpack)
	dh_makeshlibs 	-V -n -p$(devpack) 
	dh_makeshlibs 	-p$(libpack)
	dh_installdeb
#	dh_desktop 	-p$(compack)
        #dh_perl
	dh_shlibdeps	-l debian/$(libpack)/usr/lib/ 
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture independant packages using the common target.
binary-indep: build install
	#$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common
	dh_testdir -i
	dh_testroot -i
	dh_link -i			
	dh_installchangelogs -i
        #dh_installdocs -i
        #dh_installexamples -i
#	dh_installmenu -i
#	dh_installdebconf -i
#	dh_installlogrotate -i
#	dh_installemacsen -i
#	dh_installcatalogs -i
#	dh_installpam -i
#	dh_installmime -i
#	dh_installinit -i
#	dh_installcron -i
#	dh_installinfo -i
#	dh_undocumented -i
	dh_installman -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
#	dh_perl -i
#	dh_python -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture dependant packages using the common target.
binary-arch: build install
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

# Any other binary targets build just one binary package at a time.
binary-%: build install
	make -f debian/rules binary-common DH_OPTIONS=-p$*

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## gretl 2024d

=== debian/changelog ===
gretl (2024d-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 12 Dec 2024 15:50:21 -0600

=== debian/control ===
Source: gretl
Section: math
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Standards-Version: 4.7.0
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), libgtk-3-dev, libglib2.0-dev, libreadline-dev, zlib1g-dev, libxml2-dev, gnuplot-x11, libgmp-dev, libfreetype-dev, libpng-dev, libblas-dev, liblapack-dev, libxslt1-dev, libmpfr-dev, libfftw3-dev, texlive-base, texlive-latex-base, texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended, texlive-fonts-extra, gfortran, r-base-dev, unixodbc-dev, libgtksourceview-4-dev, libcurl4-gnutls-dev | libcurl4-dev, libjson-glib-dev, mpi-default-dev, mpi-default-bin
Vcs-Browser: https://salsa.debian.org/edd/gretl
Vcs-Git: https://salsa.debian.org/edd/gretl.git
Homepage: http://gretl.sourceforge.net/

Package: gretl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gretl-common (>= ${source:Version}), gnuplot (>= 4.2)
Recommends: gretl-data, gretl-doc
Suggests: x13as
Description: GNU Regression, Econometric & Time-Series Library
 The GNU Regression, Econometric and Time-Series Library (gretl) is a
 software package for econometric analysis.  The package comprises a
 shared library, a command-line client program, and a graphical client
 built using GTK+.
 .
 This package provides the GTK+ client and the command-line client.

Package: libgretl1t64
Provides: ${t64:Provides}
Breaks: libgretl1 (<< ${source:Version})
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends} 
Conflicts: libesl0, libgretl0
Replaces: libgretl1, libesl0, libgretl0
Description: GNU Regression, Econometric & Time-Series Library -- library package 
 The GNU Regression, Econometric and Time-Series Library (gretl) is a
 software package for econometric analysis.  The package comprises a
 shared library, a command-line client program, and a graphical client
 built using GTK+.
 .
 This package provides the shared library.

Package: libgretl1-dev
Section: libdevel
Architecture: any
Depends: gretl, libgretl1t64 (= ${binary:Version}), ${misc:Depends}
Conflicts: libesl0-dev, libgretl0-dev
Replaces: libesl0-dev, libgretl0-dev
Description: GNU Regression, Econometric & Time-Series Library -- development package
 The GNU Regression, Econometric and Time-Series Library (gretl) is a
 software package for econometric analysis.  The package comprises a
 shared library, a command-line client program, and a graphical client
 built using GTK+.
 .
 This package provides the static library and header files.

Package: gretl-common
Section: math
Architecture: all
Suggests: gretl (>= ${source:Version})
Conflicts: gretl (<= 1.2.2-1)
Replaces: gretl (<= 1.2.2-1)
Depends: fonts-freefont-ttf, fonts-dejavu, ${misc:Depends}
Description: GNU Regression, Econometric & Time-Series Library -- scripts package
 The GNU Regression, Econometric and Time-Series Library (gretl) is a
 software package for econometric analysis.  The package comprises a
 shared library, a command-line client program, and a graphical client
 built using GTK+.
 .
 This package provides scripts (included in the gretl sources) which are 
 used by the main gretl program.

Package: gretl-data
Section: math
Architecture: all
Depends: gretl (>= ${source:Version}), ${misc:Depends}
Conflicts: gretl (<= 1.2.2-1)
Replaces: gretl (<= 1.2.2-1)
Description: GNU Regression, Econometric & Time-Series Library -- data package
 The GNU Regression, Econometric and Time-Series Library (gretl) is a
 software package for econometric analysis. The package comprises a
 shared library, a command-line client program, and a graphical client
 built using GTK+.
 .
 This package provides data sets (included in the gretl sources) which are 
 used by the main gretl program.

Package: gretl-doc
Section: doc
Architecture: all
Recommends: gretl 
Depends: ${misc:Depends}
Conflicts: gretl (<= 1.2.2-1)
Replaces: gretl (<= 1.2.2-1)
Description: GNU Regression, Econometric & Time-Series Library -- doc package
 The GNU Regression, Econometric and Time-Series Library (gretl) is a
 software package for econometric analysis.  The package comprises a
 shared library, a command-line client program, and a graphical client
 built using GTK+.
 .
 This package provides documentation and examples included in the gretl 
 sources.

## gretl 2025a

=== tests/nist-nls/Makefile ===
CC = gcc -g -Wall -O2
CFLAGS = `pkg-config --cflags gretl`
LIBS = `pkg-config --libs gretl`

test: nist-nls-test run_tests.sh
	-./run_tests.sh
	
testa: nist-nls-test run_tests.sh
	-./run_tests.sh -a

nist-nls-test: nist-nls-test.o
	$(CC) -o $@ $< $(LIBS)
	
nist-nls-test.o: nist-nls-test.c
	$(CC) $(CFLAGS) -c $<

clean:
	rm -f nist-nls-test *.o
	
distclean: clean
	rm -f *.dat errlog.* out.*
	
depend:
	makedepend $(CFLAGS) -Y nist-nls-test.c	
	
# DO NOT DELETE

=== debian/changelog ===
gretl (2025a-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 21 Mar 2025 09:03:59 -0500

## gretl 2025b

=== tests/rng/Makefile ===
CC = gcc -Wall -O2 -msse2
TESTU01_CFLAGS = -I/usr/local/include
TESTU01_LIB = -L/usr/local/lib -ltestu01

# you shouldn't have to edit below here

CFLAGS = `pkg-config --cflags glib-2.0 gretl`
LIBS = `pkg-config --libs glib-2.0 gretl`

gretltest: gretltest.c
	$(CC) $(TESTU01_CFLAGS) $(CFLAGS) -o $@ $< $(TESTU01_LIB) $(LIBS)

clean:
	rm -f gretltest

=== utils/FRED/Makefile ===
CC = gcc -Wall -O2

CURL_CFLAGS := $(shell curl-config --cflags)
CURL_LIBS := $(shell curl-config --libs)
XML_CFLAGS := $(shell pkg-config --cflags libxml-2.0)
XML_LIBS := $(shell pkg-config --libs libxml-2.0)

CFLAGS = $(CURL_CFLAGS) $(XML_CFLAGS)
LIBS = $(CURL_LIBS) $(XML_LIBS) -lm

fred2db: fred2db.c
	$(CC) $(CFLAGS) -o $@ $< $(LIBS)

fedstl.idx: fred2db
	./fred2db

clean:
	rm -f fred2db *.idx *.bin

=== utils/scriptfix/Makefile ===
CC = gcc -O2 -Wall

scriptfix: scriptfix.c
	$(CC) -o $@ $<

clean:
	rm scriptfix *~

=== debian/changelog ===
gretl (2025b-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 05 Jun 2025 15:25:13 -0500

=== debian/watch ===
version=3
http://sf.net/gretl/gretl-(\d\S*)\.(?:tar\.(?:gz|bz2|xz))

## gretl 2025c

=== unittests/Makefile ===
check:
	./run_scripts_quiet.sh

check_plots:
	./run_tests.sh --plots

=== debian/changelog ===
gretl (2025c-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 12 Nov 2025 08:58:28 -0600

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: math
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), libgtk-3-dev, libglib2.0-dev, libreadline-dev, zlib1g-dev, libxml2-dev, gnuplot-x11, libgmp-dev, libfreetype-dev, libpng-dev, libblas-dev, liblapack-dev, libxslt1-dev, libmpfr-dev, libfftw3-dev, texlive-base, texlive-latex-base, texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended, texlive-fonts-extra, gfortran, r-base-dev, unixodbc-dev, libgtksourceview-4-dev, libcurl4-gnutls-dev | libcurl4-dev, libjson-glib-dev, mpi-default-dev, mpi-default-bin
 Vcs-Browser: https://salsa.debian.org/edd/gretl
 Vcs-Git: https://salsa.debian.org/edd/gretl.git

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 package := $(shell head -1 debian/changelog | awk '{print $$1}')
 sonum   := 1
-libpack := libgretl$(sonum)
+libpack := libgretl$(sonum)t64
 devpack := libgretl$(sonum)-dev
 docpack := $(package)-doc
 datpack := $(package)-data
@@ -192,7 +192,7 @@
 	dh_installchangelogs			ChangeLog
 	dh_compress
 	dh_fixperms
-	dh_strip --no-automatic-dbgsym
+	dh_strip
         #dh_suidregister
         #echo "libgretl-1.0 0 libgretl1 (>= ${srcver})" \
         #	> debian/$(libpack).shlibs

## gretl 2026a

=== debian/changelog ===
gretl (2026a-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Standards-Version: to current version 
  * debian/watch: Update to version 4

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 30 Jan 2026 11:32:54 -0600

gretl (2025c-2) unstable; urgency=medium

  * Add an #include to lib/src/foreign_db.c

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 30 Nov 2025 07:41:36 -0600

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: math
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), libgtk-3-dev, libglib2.0-dev, libreadline-dev, zlib1g-dev, libxml2-dev, gnuplot-x11, libgmp-dev, libfreetype-dev, libpng-dev, libblas-dev, liblapack-dev, libxslt1-dev, libmpfr-dev, libfftw3-dev, texlive-base, texlive-latex-base, texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended, texlive-fonts-extra, gfortran, r-base-dev, unixodbc-dev, libgtksourceview-4-dev, libcurl4-gnutls-dev | libcurl4-dev, libjson-glib-dev, mpi-default-dev, mpi-default-bin
 Vcs-Browser: https://salsa.debian.org/edd/gretl
 Vcs-Git: https://salsa.debian.org/edd/gretl.git

=== debian/watch ===
version=4
https://sf.net/gretl/gretl-(\d\S*)\.(?:tar\.(?:gz|bz2|xz))
